import HID from "node-hid";
declare class DMXInterface {
    path: string;
    hidDevice: HID.HID;
    dmxout: number[];
    dataCallback: (value: DMXCommand) => void;
    constructor(path: string);
    static open: (path: string) => DMXInterface;
    close: () => void;
    setMode: (mode: number) => number;
    write: (data: DMXCommand[] | undefined) => number;
    writeMap: (array: number[]) => number;
}
interface DMXCommand {
    channel: number;
    value: number;
}
export { DMXInterface, DMXCommand };
