"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConnectedInterfaces = void 0;
var node_hid_1 = __importDefault(require("node-hid"));
var DMX_INTERFACE_VENDOR_ID = 0x4B4;
var DMX_INTERFACE_PRODUCT_ID = 0xF1F;
var DMX_INTERFACE_VENDOR_ID_2 = 0x16C0;
var DMX_INTERFACE_PRODUCT_ID_2 = 0x88B;
var getConnectedInterfaces = function () {
    var _interfaces = [];
    var _connectedHIDDevices = node_hid_1.default.devices();
    for (var _i = 0, _connectedHIDDevices_1 = _connectedHIDDevices; _i < _connectedHIDDevices_1.length; _i++) {
        var _device = _connectedHIDDevices_1[_i];
        // check for first VID + PID combo
        if (_device.vendorId === DMX_INTERFACE_VENDOR_ID && _device.productId === DMX_INTERFACE_PRODUCT_ID) {
            _interfaces.push({
                vid: _device.vendorId,
                pid: _device.productId,
                path: _device.path
            });
        }
        // check for second VID + PID combo
        else if (_device.vendorId === DMX_INTERFACE_VENDOR_ID_2 && _device.productId === DMX_INTERFACE_PRODUCT_ID_2) {
            _interfaces.push({
                vid: _device.vendorId,
                pid: _device.productId,
                path: _device.path
            });
        }
        continue;
    }
    return _interfaces;
};
exports.getConnectedInterfaces = getConnectedInterfaces;
__exportStar(require("./DMXInterface"), exports);
//# sourceMappingURL=index.js.map